from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XValidator(XInterface, Protocol):
    def isValid(self, Value: Any) -> bool: ...
    def explainInvalid(self, Value: Any) -> str: ...
